Networks

Create BGP peer

post/networks/{network_id}/bgp-peers

Set up a dynamic routing (BGP) session so a server in your network can exchange routes automatically with the network gateway.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

network_id*integer
Range1 ≤ value

Request body

application/jsonRequired
peer_type*BGPPeerType
Value in"ip""vps""baremetal"
peer_target*string
remote_asn*integer
Range1 ≤ value ≤ 4294967295
max_prefix?integer
Range1 ≤ value ≤ 1000Default100
description?string | null

Responses

Successful Response

application/json

detail*string
peer_id*string
peer_type*string
peer_target*string
remote_asn*integer